# classes/phing/input/InputHandler.php

Plugin to Phing to handle requests for user input.

author
  Stefan Bodewig
package
  phing.input
version
  $Revision: 526 $

## \InputHandler
jump to top

Plugin to Phing to handle requests for user input.

author
  Stefan Bodewig
package
  phing.input
version
  $Revision: 526 $

### Methods

`handleInput( $request ) : void`
Handle the request encapsulated in the argument.

Precondition: the request.getPrompt will return a non-null value.

Postcondition: request.getInput will return a non-null value, request.isInputValid will return true.

Parameters

Name | Type | Description
--- | --- | ---
$request |  |

Details

throws

Documentation was generated by DocBlox 0.13.1.